/*
    Copyright (C) 2010-2012
    Johannes Feuser <feuser@uni-bremen.de>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/

/*!
 *  \author Johannes Feuser <feuser@uni-bremen.de>
 *  \brief empty (no implemented methods) classes for the dbus adaptor classes
 */

#include "AdaptorStubsMOC.h"
#include <QByteArray>




namespace oETCS {

namespace DF {

namespace PS {


CBaliseDeviceIn::CBaliseDeviceIn(::QObject * const pParent)  throw()  
:QObject(pParent)
{
  // Bouml preserved body begin 000D2602
    // empty constructor
  // Bouml preserved body end 000D2602

} //  CBaliseDeviceIn::CBaliseDeviceIn()  throw() 




CBaliseDeviceIn::~CBaliseDeviceIn()  throw()  
{
  // Bouml preserved body begin 000D2682
    // empty destructor
  // Bouml preserved body end 000D2682

} //  CBaliseDeviceIn::~CBaliseDeviceIn()  throw() 




CBaliseDeviceOut::CBaliseDeviceOut(::QObject * const pParent)  throw()  
:QObject(pParent)
{
  // Bouml preserved body begin 000D4102
    // empty constructor
  // Bouml preserved body end 000D4102

} //  CBaliseDeviceOut::CBaliseDeviceOut()  throw() 




CBaliseDeviceOut::~CBaliseDeviceOut()  throw()  
{
  // Bouml preserved body begin 000D4182
    // empty destructor
  // Bouml preserved body end 000D4182

} //  CBaliseDeviceOut::~CBaliseDeviceOut()  throw() 




void CBaliseDeviceOut::SendTelegram(const ::QBitArray& Bits)   
{
  // Bouml preserved body begin 000D4302
    // this method must be (re-)implemented
  // Bouml preserved body end 000D4302

} // void CBaliseDeviceOut::SendTelegram()  




CEmergencyBrake::CEmergencyBrake(::QObject * const pParent)  throw()  
:QObject(pParent)
{
  // Bouml preserved body begin 000D4382
    // empty constructor
  // Bouml preserved body end 000D4382

} //  CEmergencyBrake::CEmergencyBrake()  throw() 




CEmergencyBrake::~CEmergencyBrake()  throw()  
{
  // Bouml preserved body begin 000D4402
    // empty destructor
  // Bouml preserved body end 000D4402

} //  CEmergencyBrake::~CEmergencyBrake()  throw() 




bool CEmergencyBrake::GetActivation()   
{
  // Bouml preserved body begin 000D4482
    bool        bActive(false);
    
    
    // this method must be (re-)implemented
    
    
    // return flag
    return (bActive);
  // Bouml preserved body end 000D4482

} // bool CEmergencyBrake::GetActivation()  




void CEmergencyBrake::SetActivation(bool bActivated)   
{
  // Bouml preserved body begin 000D4582
    // this method must be (re-)implemented
  // Bouml preserved body end 000D4582

} // void CEmergencyBrake::SetActivation()  




CServiceBrake::CServiceBrake(::QObject * const pParent)  throw()  
:QObject(pParent)
{
  // Bouml preserved body begin 000D4602
    // empty constructor
  // Bouml preserved body end 000D4602

} //  CServiceBrake::CServiceBrake()  throw() 




CServiceBrake::~CServiceBrake()  throw()  
{
  // Bouml preserved body begin 000D4682
    // empty destructor
  // Bouml preserved body end 000D4682

} //  CServiceBrake::~CServiceBrake()  throw() 




double CServiceBrake::GetIntensity()   
{
  // Bouml preserved body begin 000D4702
    double        dIntensity(0.0);
    
    
    // this method must be (re-)implemented
    
    
    // return flag
    return (dIntensity);
  // Bouml preserved body end 000D4702

} // double CServiceBrake::GetIntensity()  




void CServiceBrake::SetIntensity(const double& dIntensity)   
{
  // Bouml preserved body begin 000D4782
    // this method must be (re-)implemented
  // Bouml preserved body end 000D4782

} // void CServiceBrake::SetIntensity()  




COdometer::COdometer(::QObject * const pParent)  throw()  
:QObject(pParent)
{
  // Bouml preserved body begin 000D4882
    // empty constructor
  // Bouml preserved body end 000D4882

} //  COdometer::COdometer()  throw() 




COdometer::~COdometer()  throw()  
{
  // Bouml preserved body begin 000D4902
    // empty destructor
  // Bouml preserved body end 000D4902

} //  COdometer::~COdometer()  throw() 




double COdometer::GetAbsolutePosition()   
{
  // Bouml preserved body begin 000D4982
    double        dPosition(0.0);
    
    
    // this method must be (re-)implemented
    
    
    // return position
    return (dPosition);
  // Bouml preserved body end 000D4982

} // double COdometer::GetAbsolutePosition()  




double COdometer::GetVelocity()   
{
  // Bouml preserved body begin 000D4B02
    double        dVelocity(0.0);
    
    
    // this method must be (re-)implemented
    
    
    // return velocity
    return (dVelocity);
  // Bouml preserved body end 000D4B02

} // double COdometer::GetVelocity()  






} // namespace oETCS::DF::PS

} // namespace oETCS::DF

} // namespace oETCS
