/*
    Copyright (C) 2010-2012
    Johannes Feuser <feuser@uni-bremen.de>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/

/*!
 *  \author Johannes Feuser <feuser@uni-bremen.de>
 *  \brief abstract model classes
 */

#include "AbstractModel.h"




namespace oETCS {

namespace GEN {


CFBNode::CFBNode(const std::string & OID, const oETCS::GEN::CFBNode::NODE_TYPE_T & eState, const ::std::list< oETCS::GEN::CFBNode * > & Inputs)  throw()  
:m_OID(OID),
 m_eState(eState),
 m_Inputs(Inputs)
{
  // Bouml preserved body begin 000E5C82
    // empty destructor
  // Bouml preserved body end 000E5C82

} //  CFBNode::CFBNode()  throw() 






} // namespace oETCS::GEN

} // namespace oETCS
