/*
    Copyright (C) 2010-2011
    Johannes Feuser <feuser@uni-bremen.de>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/

/*!
 *  \author Johannes Feuser <feuser@uni-bremen.de>
 *  \brief syntax tarnsformer module
 */

#include "SyntaxTransformer.h"
#include "SyntaxTree.h"


namespace DSM {


CSyntaxTransformer::CSyntaxTransformer()  throw()  
:m_pTree(0)
{
  // Bouml preserved body begin 0002AF82
  // Bouml preserved body end 0002AF82

} //  CSyntaxTransformer::CSyntaxTransformer()  throw() 




CSyntaxTransformer::~CSyntaxTransformer()  throw()  
{
  // Bouml preserved body begin 0002B002
	// delete tree
	delete m_pTree;

  // Bouml preserved body end 0002B002

} //  CSyntaxTransformer::~CSyntaxTransformer()  throw() 




::DSM::CSyntaxTree* CSyntaxTransformer::GetTree()  const throw()  
{
  return m_pTree;
} // ::DSM::CSyntaxTree CSyntaxTransformer::GetTree()  const throw() 






} // namespace DSM
