/*
    Copyright (C) 2010-2011
    Johannes Feuser <feuser@uni-bremen.de>
    This file is part of the openETCS library.

    The openETCS library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    The openETCS library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the openETCS library.  If not, see <http://www.gnu.org/licenses/>.
*/

/*!
 *  \author Johannes Feuser <feuser@uni-bremen.de>
 *  \brief	
 */

#include "Concept.h"


namespace GOPPRR {


CConcept::CConcept(const ::std::string& OID, const ::std::string& Type)  throw()  
:m_OID(OID),
 m_Type(Type)
{
  // Bouml preserved body begin 00024802
  // Bouml preserved body end 00024802

} //  CConcept::CConcept()  throw() 




CConcept::CConcept(const GOPPRR::CConcept& Source)  throw()  
:m_OID(Source.m_OID),
 m_Type(Source.m_Type)
{
  // Bouml preserved body begin 00024902
  // Bouml preserved body end 00024902

} //  CConcept::CConcept()  throw() 




CConcept::~CConcept()  throw()  
{
  // Bouml preserved body begin 00024882
  // Bouml preserved body end 00024882

} // CConcept::~CConcept()  throw() 




GOPPRR::CConcept & CConcept::operator=(const GOPPRR::CConcept & Source)  throw()  
{
  // Bouml preserved body begin 00048982
    // assign new member values from source
    m_OID       = Source.m_OID;
    m_Type      = Source.m_Type;

    // return reference to this instance
    return *this;
  // Bouml preserved body end 00048982

} // GOPPRR::CConcept CConcept::operator=()  throw() 






} // namespace GOPPRR
